package com.huashe.citybrain.commons.base.enums;

/**
 * http请求返回状态码枚举类
 * 
 * @author chen.jinshu (青禾) 2018/10/15
 */
public enum HttpResultCode {

    /**
     * $请求成功
     */
    SUCCESS(0, "请求成功"),

    /**
     * $服务不可用
     */
    SERVICE_UNAVAILABLE(-1, "服务不可用"),

    /**
     * $未知错误
     */
    UNKNOWN_ERROR(-2, "未知错误"),

    /**
     * $参数错误
     */
    PARAM_ERROR(1000, "参数错误");

    private int code;

    private String description;

    public int getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }

    private HttpResultCode(int code, String description) {
        this.code = code;
        this.description = description;
    }

    public static HttpResultCode get(Long code) {
        if (code != null) {
            for (HttpResultCode element : HttpResultCode.values()) {
                if (element.getCode() == code) {
                    return element;
                }
            }
        }
        return null;
    }
}